{ config, pkgs, lib, ... }:

with lib;
let
  cfg = config.modules.system.waydroid;
in
{
  options.modules.system.waydroid = {
    enable = mkEnableOption ''
      Enable waydroid with my custom configurations
    '';
  };
  config = mkIf cfg.enable {
    virtualisation.waydroid.enable = true;
  };
}